import { Language } from './../model/common-model';
import { Entity } from 'breeze-client';
import { IncompleteMlField } from './incomplete-multilingual-field/incomplete-multilingual-field';
export declare class UtilsMlField {
    static getLanguageColumnName(language: Language): string;
    static isFilled(language: Language, incompleteMlField: IncompleteMlField): boolean;
    static checkMultilingualField(entity: Entity, mlProps?: Array<IncompleteMlField>, configuredLanguages?: Array<Language>): Promise<boolean>;
    private static hasToBeFilled;
}
